# $Revision: 1.16 $, $Date: 2002/08/02 17:04:27 $
Summary:	Gtk Integrated Development Environment for C
Summary(pl):	Zintegrowane rodowisko developersje dla C napisane w Gtk
Name:		gide
Version:	0.3.0
Release:	6
License:	GPL
Group:		Development/Tools
Source0:	http://gide.pn.org/download/%{name}-%{version}.tar.gz
Patch0:		%{name}-am_fix.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	guile-devel >= 1.4
BuildRequires:	libglade-devel >= 0.11
BuildRequires:	libltdl-devel
BuildRequires:	libtool
URL:		http://gide.pn.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	gIDE

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Gide is a Gtk-based Integrated Development Environment for the C
programming language.

%description -l pl
Gide jest bazujcym na Gtk zintegrowanym rodowiskiem programisty do
pisania programw w C.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing acinclude.m4
%{__gettextize}
%{__libtoolize}
aclocal -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Developmentdir=%{_applnkdir}/Development

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/gide
%dir %{_libdir}/gide/plugins
%dir %{_libdir}/gide/plugins/%{version}
%attr(755,root,root) %{_libdir}/gide/plugins/%{version}/*la
%attr(755,root,root) %{_libdir}/gide/plugins/%{version}/*so*
%{_applnkdir}/Development/*
%{_datadir}/gide
%{_pixmapsdir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gide.spec,v $
Revision 1.16  2002/08/02 17:04:27  kloczek
- release 6,
- use new %doc,
- added regenrate ac/am/lt suuit and added am_fix patch(fix small bug in
  src/Makefile.am ifile),
- added --disable-static to autoconf parametes (we dont need build static
  vesion plugins files),
- added libltdl-devel to BuildRequires,
- updated %files.

Revision 1.15  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.14  2002/04/25 16:23:15  arturs
fixed a small typo

Revision 1.13  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:13:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/03/07 20:36:23  kloczek
- release 5: rebuild on new gnome-libs linked with audiofile 0.2.1.

Revision 1.10  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.9  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.8  2000/10/30 13:28:29  kloczek
- release 4: rebuild against gnome-libs linked with db3.

Revision 1.7  2000/10/25 06:07:57  kloczek
- release 3: use naew rpm automation.

Revision 1.6  2000/07/28 11:51:28  kloczek
- not guile-devel >= 1.4.1 but guile-devel >= 1.4.

Revision 1.5  2000/07/28 10:46:29  kloczek
- release 2,
- rebuild agains guile 1.4.1.

Revision 1.4  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/15 07:18:51  kloczek
- added "BuildRequires: libglade-devel >= 0.11"

Revision 1.1  2000/05/15 07:07:05  kloczek
- moved from gIDE,
- updated to 0.3.0.

